Skip to main content
The “List Inventory API allows the user to retrieve a paginated list of inventory items. Use this endpoint to fetch details for multiple items in the inventory based on the provided query parameters.
GET https://services.leadconnectorhq.com/products/inventory

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Query parameters

limit
number
default:"20"
The maximum number of items to be included in a single page of results
offset
number
default:"0"
The starting index of the page, indicating the position from which the results should be retrieved.
altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id or Agency Id
altType
string
required
Search string for Variant Search

Respuestas

inventory
object[]
required
List of inventory items
total
object
required
Total count of inventory items
{
  "inventory": [
    {
      "_id": "6241712be68f7a98102ba272",
      "name": "Medium T-shirt",
      "availableQuantity": 50,
      "sku": "TSHIRT-MED-001",
      "allowOutOfStockPurchases": false,
      "product": "6241712be68f7a98102ba270",
      "updatedAt": "2023-12-12T09:27:42.355Z",
      "image": "https://example.com/images/product.jpg",
      "productName": "T-shirt"
    }
  ],
  "total": {
    "total": 100
  }
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/products/inventory' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/products/inventory', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
  },
});
const data = await response.json();
import os, requests
response = requests.request(
    'GET',
    'https://services.leadconnectorhq.com/products/inventory',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
    },
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/products/inventory');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
    ],
]);
$data = json_decode(curl_exec($ch), true);